* Motorola Flash Innovation 2003 Contest Project F193
* MC68HC908QY4 Equates
*
; I/O Ports
PORTA   EQU     $0000      ;I/O port A
PA0	EQU	0
PA1	EQU	1
PA4	EQU	4

PORTB   EQU     $0001      ;I/O port B
PB6	EQU	6
PB4.m	EQU	$10
;
DDRA    EQU     $0004      ;Data direction for port A
DDRB    EQU     $0005      ;Data direction for port B
;
PAPUP	EQU	$000B	  ; Port A Pullups
PBPUP	EQU	$000C	  ; Port B Pullups
*--------------------------------------------------------------------------
KBSCR	EQU	$001A	  ; Keyboard Status and Control Register
MODEK	EQU	0
IMASKK	EQU	1
ACKK	EQU	2

KBIER	EQU	$001B	  ; Keyboard Interrupt Enable Register
KBIE1	EQU	1
;
INTSCR	EQU	$001D	  ; IRQ Status and Control Register
*--------------------------------------------------------------------------
; Configuration Registers
CONFIG2	EQU	$001E
CONFIG1	EQU	$001F
*--------------------------------------------------------------------------
; Timer Registers
TSC	EQU	$0020	  ; TIM Status and Control Register
TOIE	EQU	6	  ; Timer Overflow Interrupt Enable
TOF	EQU	7	  ; Timer Overflow Flag

TCNTH	EQU	$0021	  ; TIM Counter Register High
TCNTL	EQU	$0022	  ; TIM Counter Register Low
TMODH	EQU	$0023	  ; TIM Counter Modulo Register High
TMODL	EQU	$0024	  ; TIM Counter Modulo Register Low
TSC0	EQU	$0025	  ; TIM Channel 0 Status and Control Register
TCH0H	EQU	$0026	  ; TIM Channel 0 Register High
TCH0L	EQU	$0027	  ; TIM Channel 0 Register Low
TSC1	EQU	$0028	  ; TIM Channel 1 Status and Control Register
TCH1H	EQU	$0029	  ; TIM Channel 1 Register High
TCH1L	EQU	$002A	  ; TIM Channel 1 Register Low
*--------------------------------------------------------------------------
; Oscillator Registers
OSCSTAT	EQU	$0036	  ; Oscillator Status Register
;
OSCTR	EQU	$0038	  ; Oscillator Trim Register
*--------------------------------------------------------------------------
; ADC Registers
ADSCR	EQU	$003C	  ; ADC Status and Control Register
ADCO	EQU	5	  ; ADC Continuous Read = 1, Start Just One = 0
COCO	EQU	7	  ; Conversion done
;
ADR	EQU	$003E	  ; ADC Data Register
ADICLK	EQU	$003F	  ; ADC Input Clock Register
;
*--------------------------------------------------------------------------
; System Registers 
BSR	EQU	$FE00	  ; Break Status Register
SRSR	EQU	$FE01	  ; SIM Reset Status Register 
BRKAR	EQU	$FE02	  ; Break Auxiliary Register
BFCR	EQU	$FE03	  ; Break Flag Control Register
INT1	EQU	$FE04	  ; Interrupt Status Register 1 
INT2	EQU	$FE05	  ; Interrupt Status Register 2 
INT3	EQU	$FE06	  ; Interrupt Status Register 3 
;
FLCR	EQU	$FE08	  ; Flash Control Register
BRKH	EQU	$FE09	  ; Break Address High Register
BRKL	EQU	$FE0A	  ; Break Address Low Register
BRKSCR	EQU	$FE0B	  ; Break Status and Control Register
LVISR	EQU	$FE0C	  ; LVI Status Register
;
FLBPR	EQU	$FFBE	  ; FLASH Block Protect Register
;
IOTV	EQU	$FFC0	  ; Internal Oscillator Trim Value (if used)
;
COPCTL  EQU	$FFFF	  ; COP Control Register (Write to kick the watchdog)
*--------------------------------------------------------------------------
VECTORS		EQU     $FFDE   ; Start of Reset/Interrupt vectors

RAMstart        EQU     $0080   ; Start of on chip RAM ($80 - $FF) 128 bytes 

ROMstart        EQU     $EE00   ; Start of program in User Flash 
*				  $EE00 - $FDFF (4,096 bytes)
*============================================================================
	ORG	VECTORS
; Vectors are high/low pairs
ADCVEC	    EQU	  $FFDE		; A/D conversion complete		
KBVEC	    EQU   $FFE0		; Keyboard Vector			
;
TIM_OF_VEC  EQU   $FFF2		; Timer Overflow Vector		
TIM_CH1_VEC EQU   $FFF4		; Timer Channel 1 Vector		
TIM_CH0_VEC EQU   $FFF6		; Timer Channel 2 Vector		
;
IRQ_VEC     EQU	  $FFFA		; IRQ Vector				
SWI_VEC     EQU   $FFFC         ; Software Interrupt			
RESET_VEC   EQU   $FFFE         ; Beginning of program on reset	

; Locations $FFF6-$FFFD are also used as the Security Code for the Monitor 
; Writing to $FFFF kicks the watchdog
*============================================================================
*============================================================================
